module.exports = {
  root: true,
  parser: 'babel-eslint',
  parserOptions: {
    sourceType: 'module'
  },
  env: {
    browser: false,
    node: true,
    es6: true
  },
  extends: 'eslint:recommended',
  plugins: [
    'html'
  ],
  rules: {
    // Best Practices
    "accessor-pairs": ["error"],
    "no-use-before-define": ["error", { "functions": false, "classes": true, "variables": true }],
    "array-callback-return": ["error"],
    "default-case": ["error"],
    "dot-notation": ["error"],
    "eqeqeq": ["error", "smart"],
    "no-console": ["warn"],
    "no-alert": ["error"],
    "no-caller": ["error"],
    "no-else-return": ["error"],
    "no-empty-function": ["error"],
    "no-eq-null": ["warn"],
    "no-eval": ["error"],
    "no-multi-spaces": ["error"],
    "wrap-iife": ["warn", "inside"],
    "yoda": ["error", "never"],
    // Stylistic
    "array-bracket-spacing": ["error"],
    "camelcase": ["error"],
    "eol-last": ["error"],
    "comma-dangle": ["warn"],
    "comma-spacing": ["error"],
    "quotes": ["error", "single"],
    "semi": ["error", "never"],
    // ECMAScript 6
    "arrow-body-style": ["error", "as-needed"],
    "no-confusing-arrow": ["error", {"allowParens": false}],
    "no-duplicate-imports": ["error"],
    "no-useless-computed-key": ["error"],
    "no-useless-rename": ["error"],
    "no-var": ["error"],
    "object-shorthand": ["error", "always"]
  },
  globals: {
    App: true,
    Page: true,
    wx: true,
    getApp: true,
    getPage: true,
    requirePlugin: true
  }
}
