const webpack = require('webpack')
const path = require('path')

module.exports = {
  entry: {
    //你需要引入的第三方库文件
    vendor: ['vue', 'vuex']
  },
  output: {
    path: path.join(`${process.cwd()}/static/vendor`), // 打包后文件输出的位置
    filename: '[name].dll.js',
    library: '[name]_library'
  },
  plugins: [
    new webpack.DllPlugin({
      path: path.join(
        `${process.cwd()}/static/vendor`,
        '.',
        '[name]-manifest.json'
      ),
      name: '[name]_library',
      context: `${process.cwd()}/static/vendor`
    }),
    // 压缩打包的文件
    new webpack.optimize.UglifyJsPlugin({
      compress: {
        warnings: false
      }
    })
  ]
}
