// 复杂log
const _console = (function () {
  const logger = {}

  ;['log', 'info', 'warn', 'error'].forEach(method => {
    logger[method] = (...args) => {
      if (process.env.NODE_ENV === 'development') {
        console[method](...args)
      } else {
        console[method] = () => {}
      }
    }
  })

  return logger
})()

// 简易log
const simpleConsole = function (...args) {
  if (process.env.NODE_ENV === 'development') {
    return console.log.apply(console, args)
  }

  return null
}

export default {
  install(Vue) {
    Vue.prototype.$log = simpleConsole
    Vue.prototype.$console = _console
  }
}
